Extending Qt Creator Manual | DebuggerItemManager

Extending Qt Creator Manual 4.5.2

# DebuggerItemManager Class

(Debugger::DebuggerItemManager)

- List of all members, including inherited members

## Public Functions

| DebuggerItemManager()
| ~DebuggerItemManager()

## Static Public Members

QList<DebuggerItem> | debuggers()
void | deregisterDebugger(const QVariant &id)
const DebuggerItem * | findByCommand(const Utils::FileName &command)
const DebuggerItem * | findByEngineType(DebuggerEngineType engineType)
const DebuggerItem * | findById(const QVariant &id)
QVariant | registerDebugger(const DebuggerItem &item)

## Member Function Documentation

### DebuggerItemManager::DebuggerItemManager()

Default constructs an instance of DebuggerItemManager.

### DebuggerItemManager::~DebuggerItemManager()

Destroys the instance of DebuggerItemManager.

### `[static]` QList<DebuggerItem> DebuggerItemManager::debuggers()

### `[static]` void DebuggerItemManager::deregisterDebugger(const QVariant &id)

### `[static]` const DebuggerItem *DebuggerItemManager::findByCommand(const Utils::FileName &command)

### `[static]` const DebuggerItem *DebuggerItemManager::findByEngineType(DebuggerEngineType engineType)

### `[static]` const DebuggerItem *DebuggerItemManager::findById(const QVariant &id)

### `[static]` QVariant DebuggerItemManager::registerDebugger(const DebuggerItem &item)